Allergy Intolerance

An allergy intolerance occurs when a person reacts to substances in the environment that are harmless to most people.

GET/v2/fhir/AllergyIntolerance

List all patients

Returns a list of all allergies intolerances. Pass attributes to filter the list of allergy intolerances based on that criteria.

Optional query parameters

  • Name
    patient
    Type
    string
    Description

    Patient ID to filter by.

Request

GET
/v2/fhir/AllergyIntolerance
curl "https://{{base_subdomain}}.avonhealth.com/v2/fhir/AllergyIntolerance?patient=user_Z1zXZKvqrpwxbznuW6lJ" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}"

Response

    {
        {
            "resourceType": "Bundle",
            "type": "searchset",
            "total": 1,
            "entry": [
                {
                "fullUrl": "http://trial.avonhealth.com/fhir/AllergyIntolerance/example-allergy",
                "resource": {
                    "resourceType": "AllergyIntolerance",
                    "id": "example-allergy",
                    "patient": {
                    "reference": "Patient/unxeY6XGFES0ASxVZtmCyXjKmac2",
                    "display": "Amy V. Shaw"
                    },
                    "text": {
                    "status": "generated",
                    "div": "<div xmlns=\"http://www.w3.org/1999/xhtml\"><p><b>Generated Narrative: AllergyIntolerance</b><a name=\"example\"> </a></p></div>"
                    },
                    "identifier": [
                    {
                        "system": "https://avonheath.com/com",
                        "value": "49476534"
                    }
                    ],
                    "clinicalStatus": {
                    "coding": [
                        {
                        "system": "http://terminology.hl7.org/CodeSystem/allergyintolerance-clinical",
                        "code": "active",
                        "display": "Active"
                        }
                    ]
                    },
                    "verificationStatus": {
                    "coding": [
                        {
                        "system": "http://terminology.hl7.org/CodeSystem/allergyintolerance-verification",
                        "code": "confirmed",
                        "display": "Confirmed"
                        }
                    ]
                    },
                    "category": [
                    "food"
                    ],
                    "criticality": "high",
                    "code": {
                    "coding": [
                        {
                        "system": "http://snomed.info/sct",
                        "code": "227493005",
                        "display": "Cashew nuts"
                        }
                    ]
                    },
                    "onsetDateTime": "2004",
                    "recordedDate": "2014-10-09T14:58:00+11:00",
                    "lastOccurrence": "2012-06",
                    "note": [
                    {
                        "text": "The criticality is high because of the observed anaphylactic reaction when challenged with cashew extract."
                    }
                    ],
                    "reaction": [
                    {
                        "manifestation": [
                        {
                            "coding": [
                            {
                                "system": "http://snomed.info/sct",
                                "version": "http://snomed.info/sct/731000124108",
                                "code": "271807003",
                                "display": "skin rash"
                            }
                            ],
                            "text": "skin rash"
                        }
                        ],
                        "severity": "mild"
                    }
                    ],
                    "extension": [
                    {
                        "url": "http://hl7.org/fhir/StructureDefinition/data-absent-reason",
                        "valueCode": "unknown"
                    }
                    ]
                },
                "search": {
                    "mode": "match"
                }
                }
            ]
        }
    }